Index: src/sas/perspectives/fitting/basepage.py
===================================================================
--- src/sas/perspectives/fitting/basepage.py	(revision 7801df83258dc0f0d45838a3596f5e58f88bbcd3)
+++ src/sas/perspectives/fitting/basepage.py	(revision 7116dffde263f183ef154ca77cdc37ffa1a3bf8f)
@@ -2889,5 +2889,5 @@
             wx.MessageBox(msg, info)
 
-    def _on_mag_help(self, event):
+    def _on_mag_angle_help(self, event):
         """
         Bring up Magnetic Angle definition bmp image whenever the ? button
@@ -2908,4 +2908,24 @@
         _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
                                           "Magnetic Angle Defintions")
+
+    def _on_mag_help(self, event):
+        """
+        Bring up Magnetic Angle definition bmp image whenever the ? button
+        is clicked. Calls DocumentationWindow with the path of the location
+        within the documentation tree (after /doc/ ....". When using old
+        versions of Wx (i.e. before 2.9 and therefore not part of release
+        versions distributed via installer) it brings up an image viewer
+        box which allows the user to click through the rest of the images in
+        the directory.  Not ideal but probably better than alternative which
+        would bring up the entire discussion of how magnetic models work?
+        Specially since it is not likely to be accessed.  The normal release
+        versions bring up the normal image box.
+
+        :param evt: Triggers on clicking ? in Magnetic Angles? box
+        """
+
+        _TreeLocation = "user/perspectives/fitting/mag_help.html"
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Polarized Beam/Magnetc Help")
 
     def _on_mag_on(self, event):
Index: src/sas/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/perspectives/fitting/fitpage.py	(revision 7801df83258dc0f0d45838a3596f5e58f88bbcd3)
+++ src/sas/perspectives/fitting/fitpage.py	(revision 7116dffde263f183ef154ca77cdc37ffa1a3bf8f)
@@ -293,5 +293,5 @@
         
         #Resolution Smearing Help button
-        self.btSmearHelp = wx.Button(self, -1, '?')
+        self.btSmearHelp = wx.Button(self, -1, '?', style=wx.BU_EXACTFIT)
         self.btSmearHelp.SetToolTipString("Resolution Smearing Help.")
         self.btSmearHelp.Bind(wx.EVT_BUTTON, self._onSmearHelp)
@@ -3066,7 +3066,13 @@
                 orient_angle = wx.StaticText(self, -1, '[For 2D only]:')
                 mag_on_button = wx.Button(self, -1, "Magnetic ON")
+                mag_on_button.SetToolTipString("Turn Pol Beam/Mag scatt on/off")
                 mag_on_button.Bind(wx.EVT_BUTTON, self._on_mag_on)
-                mag_help_button = wx.Button(self, -1, "Magnetic angles?")
+                mag_angle_help_button = wx.Button(self, -1, "Magnetic angles?")
+                mag_angle_help_button.SetToolTipString("see angle definitions")
+                mag_help_button = wx.Button(self, -1, "Mag HELP")
+                mag_help_button.SetToolTipString("Help on pol beam/mag fitting")
                 mag_help_button.Bind(wx.EVT_BUTTON, self._on_mag_help)
+                mag_angle_help_button.Bind(wx.EVT_BUTTON, \
+                                            self._on_mag_angle_help)
                 sizer.Add(orient_angle, (iy, ix), (1, 1),
                           wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
@@ -3074,8 +3080,13 @@
                 sizer.Add(mag_on_button, (iy, ix), (1, 1),
                           wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(mag_angle_help_button, (iy, ix), (1, 1),
+                          wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
                 sizer.Add(mag_help_button, (iy, ix + 1), (1, 1),
                           wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
 
                 #handle the magnetic buttons
+                #clean this up so that assume mag is off then turn 
+                #all buttons on IF mag has mag and has 2D
                 if not self._has_magnetic:
                     mag_on_button.Show(False)
@@ -3089,7 +3100,9 @@
                         mag_on_button.SetLabel("Magnetic OFF")
                         mag_help_button.Show(True)
+                        mag_angle_help_button.Show(True)
                     else:
                         mag_on_button.SetLabel("Magnetic ON")
                         mag_help_button.Show(False)
+                        mag_angle_help_button.Show(False)
 
                 if not self.data.__class__.__name__ == "Data2D" and \
